# Uses of Interface
org.eclipse.emf.cdo.lm.Drop

Packages that use Drop
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Drop in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Drop
Modifier and Type
Method
Description
`Drop`
LMFactory.`createDrop()`
Returns a new object of class 'Drop'.
`Drop`
Stream.`getBase()`
Returns the value of the 'Base' reference.
`Drop`
Stream.`getFirstRelease()`
`Drop`
Stream.`getLastRelease()`
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Drop
Modifier and Type
Method
Description
`EList<Drop>`
Stream.`getReleases()`
Methods in org.eclipse.emf.cdo.lm with parameters of type Drop
Modifier and Type
Method
Description
`void`
Stream.`setBase(Drop value)`
Sets the value of the '`Base`' reference.

## Uses of Drop in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return Drop
Modifier and Type
Method
Description
`Drop`
ISystemDescriptor.`createDrop(Stream stream, DropType dropType, long timeStamp, String label, IProgressMonitor monitor)`
`Drop`
LMImporter.DropCreator.`createDrop(ISystemDescriptor systemDescriptor, Stream stream, long timeStamp, IProgressMonitor monitor)`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type Drop
Modifier and Type
Method
Description
`Stream`
ISystemDescriptor.`createStream(Module module, Drop base, StreamSpec streamSpec, IProgressMonitor monitor)`

## Uses of Drop in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Drop
Modifier and Type
Class
Description
`class`
`DropImpl`
An implementation of the model object 'Drop'.
Methods in org.eclipse.emf.cdo.lm.impl that return Drop
Modifier and Type
Method
Description
`Drop`
StreamImpl.`basicGetBase()`
`Drop`
LMFactoryImpl.`createDrop()`
`Drop`
StreamImpl.`getBase()`
`Drop`
StreamImpl.`getFirstRelease()`
`Drop`
StreamImpl.`getLastRelease()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Drop
Modifier and Type
Method
Description
`EList<Drop>`
StreamImpl.`getReleases()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Drop
Modifier and Type
Method
Description
`void`
StreamImpl.`setBase(Drop newBase)`

## Uses of Drop in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Drop
Modifier and Type
Method
Description
`T`
LMSwitch.`caseDrop(Drop object)`
Returns the result of interpreting the object as an instance of 'Drop'.